升級15.10後無法連線(已解決) [論壇 - Ubuntu基本設定]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

« 1 (2) 3 4 »


回覆: 升級15.10後無法連線(已解決)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 847
MP : 574 / 18527
EXP: 89
離線
MMX 寫到:
我從15.04開始,就遇上了 adsp/pppoe 的問題。

15.04 跟 15.10 都是全新安裝的,可以排除是升級造成的問題。

狀況如下:

15.04, network manager 裏設定好 pppoe 帳號跟密碼,但是無法連線。

解決辦法: 改用 ppoeconf,這樣可以連上線了。

到了15.10, network manager 裏設定好 pppoe 帳號跟密碼,一樣無法連線。

改用pppoeconf,一樣無法連線 @@

目前的應急方案是

一樣network manager 裏設定好 pppoe 帳號跟密碼,但是改成手動連線。

然後每次開機後,用task bar 上的網路來手動連線。

但是很怪,有時一次成功,有時要三五次才能成功,甚至有 顯示已經連線,但是用 ping來測試的結果是沒有可用的網路…@@


這個問題困繞了很久,測試的硬體包括兩台不同的電腦,跟兩路不同的中華VDSL,交叉測試都是一樣的結果,基本上可以排除 中華電線線路、router、cable、網卡 等相關問題…


不知道大家有沒有解決的方案?


本來有點疑惑?看不出來您提的狀況,會出在那個環節?

突然想到一件事,應該先確認您怎麼連線的。

我先假設一個狀況,是我自己的連線方式,以下描述,

我的「桌機是Xubuntu」,是透過「無線」的方式,連到一台我自己買的「無線路由器(IP分享器)」,

然後「無線路由器」則是「有線」連線,連到「中華提供的那台」,

我的設定是在這個「無線路由器」設定「PPPoE連線」,由這個「無線路由器」連到「網際網路(WAN)」。

然後我的「桌機Xubuntu」,也是透過「NetworkManager」,連到「無線路由器」

我的「桌機Xubuntu」並不需要設定「PPPoE連線」,

所以我突然想到一個情況,

會不會您實體機器也是這樣的連線方式,

但您卻是在「桌機」設定「PPPoE連線」,所以連不出去了?

突然想到,供您參考,

也許您可以更精確描述你實體機器連線的方式,
或許大家可以從您的描述,
幫您看出一些端膩,找出一些線索,
協助您排除問題。

報告完畢


2016/4/16 21:12
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 147
MP : 21 / 1959
EXP: 89
離線
容我來描述一下情況吧
我的硬碟有xubuntu14.04(sda2)及xubuntu16.04(sda3)(我都是下載新iso重灌而不是用升級的方式)

在xubuntu14.04,adsl連線的順暢度就和先前的任何版本一樣~一點就通(上網)
所以,可以肯定不是機器或使用者的問題吧.(?)

會有
「但是很怪,有時一次成功,有時要三五次才能成功,甚至有 顯示已經連線,但是用 ping來測試的結果是沒有可用的網路…@@」

這情形就是從15.04開始的~~~,
我也因此才想說16.04也許會改善,但...可惜沒有.
這次竟更在更新後完全連不上網。

因我經常用到winff這軟體,在14.04運作很龜速,在15.04,15.10,及16.04就快很多很多,這是我追新版本的理由(?)

以上報告,請高手指導~~~~

2016/4/16 21:50
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 847
MP : 574 / 18527
EXP: 89
離線
Newman 寫到:
今將xubuntu16.04更新後,adsl怎麼連都連不上線,
用pppoeconf試,終端機說找不到pppoeconf這東西!
只好將備份的檔回復,但
是不是就此不更新?!或
如何解?



若是找不到pppoeconf這個狀況,這是屬於「pppoeconf」這個套件是否安裝的問題


可以使用下面的指令確認,是否已經安裝「pppoeconf」這個套件


$ dpkg -l pppoeconf



若有安裝「pppoeconf」這個套件,會顯示下面的訊息


Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-========================-=================-=================-====
ii pppoeconf 1.21ubuntu1 all configures PPPoE/ADSL connections



或是執行


$ dpkg --get-selections | grep pppoeconf



若有安裝「pppoeconf」這個套件,會顯示下面的訊息


pppoeconf install



根據你的描述,
我也不清楚您的狀況是一開始就沒有裝「pppoeconf」這個套件?
或是原本有安裝「pppoeconf」這個套件,但升級後,因為相依性的問題,系統會把「pppoeconf」這個套件移除?
這需要您自行確認。

若要安裝「pppoeconf」這個套件,

執行


$ sudo apt-get install pppoeconf



安裝完後,可以執行剛剛介紹過的指令,確認,

也可以執行


$ whereis pppoeconf



會顯示


pppoeconf: /usr/sbin/pppoeconf /usr/share/man/man8/pppoeconf.8.gz



Newman 寫到:
容我來描述一下情況吧
我的硬碟有xubuntu14.04(sda2)及xubuntu16.04(sda3)(我都是下載新iso重灌而不是用升級的方式)

在xubuntu14.04,adsl連線的順暢度就和先前的任何版本一樣~一點就通(上網)
所以,可以肯定不是機器或使用者的問題吧.(?)

會有
「但是很怪,有時一次成功,有時要三五次才能成功,甚至有 顯示已經連線,但是用 ping來測試的結果是沒有可用的網路…@@」

這情形就是從15.04開始的~~~,
我也因此才想說16.04也許會改善,但...可惜沒有.
這次竟更在更新後完全連不上網。

因我經常用到winff這軟體,在14.04運作很龜速,在15.04,15.10,及16.04就快很多很多,這是我追新版本的理由(?)

以上報告,請高手指導~~~~


關於


Newman 寫到:
容我來描述一下情況吧
我的硬碟有xubuntu14.04(sda2)及xubuntu16.04(sda3)(我都是下載新iso重灌而不是用升級的方式)

在xubuntu14.04,adsl連線的順暢度就和先前的任何版本一樣~一點就通(上網)
所以,可以肯定不是機器或使用者的問題吧.(?)



你要這樣講「所以,可以肯定不是機器或使用者的問題吧.(?)」,邏輯上當然通,

不過真實的情況是,你目前的網路在16.04上就是不通,
所以應該是某個未知的環節出錯,導致這種情形發生(網路不通),
所以能做的就是找出這個環節。

我對網路的知識,並沒有很精通,
所以即使我到你們的機器面前,也不見得能解決問題,
我只就我目前會的知識和經驗,提出一些疑問或建議,
看看能不能排除一些狀況,
也許有機會你們可以自行找出排除狀況的線索,如此而已,

有時候可能是我用字遣詞不恰當,導致沒有充分表達我要表達的,
所以若我有冒犯之處,請海涵,
我並沒有指責或嘲笑的意味,或是突顯我自己,所以別誤會了


以上釐清


2016/4/16 22:39
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 147
MP : 21 / 1959
EXP: 89
離線
感謝 samwhelp兄的回覆

16.04的版本改變也包括goole chrome 的字體,變得較淡(英文字沒差,是中文字),我得入chrome更改字體設定。
而在firefox的字體就仍是很好看。

其實我較傾向於認為是版本的程式設計,可能是做了某些改變所造成的(因我不是昨天才用ubuntu的,操作的模式沒做什麼改變),只是我一直只是個使用者,對程式一點也不懂。
所以,
才想問說:是不是有什麼補救之道?

2016/4/17 7:09
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 847
MP : 574 / 18527
EXP: 89
離線
Newman 寫到:
感謝 samwhelp兄的回覆

16.04的版本改變也包括goole chrome 的字體,變得較淡(英文字沒差,是中文字),我得入chrome更改字體設定。
而在firefox的字體就仍是很好看。

其實我較傾向於認為是版本的程式設計,可能是做了某些改變所造成的(因我不是昨天才用ubuntu的,操作的模式沒做什麼改變),只是我一直只是個使用者,對程式一點也不懂。
所以,
才想問說:是不是有什麼補救之道?



=================================================

Newman 寫到:
其實我較傾向於認為是版本的程式設計,可能是做了某些改變所造成的(因我不是昨天才用ubuntu的,操作的模式沒做什麼改變),


我能理解你這段所說的,我也遇過這樣的狀況,明明之前的版本可以,怎麼這一版不行,結果下一版又可以了。

但仔細想想,不就是因為做了某些改變,才出新版嗎?

=================================================

Newman 寫到:
只是我一直只是個使用者,對程式一點也不懂。
所以,
才想問說:是不是有什麼補救之道?


我覺得有些問題的解決排除,
不見得一定要懂得程式,
只要稍微了解他的操作原理,

例如上面我回覆你的,「找不到pppoeconf這個狀況」是不需要知道程式怎麼寫的,
而是要了解「Debian package management」,我在「這裡」有列了很多參考連結。

當然我不是你,
我不知道你對套件管理這部份了解到的有多深入,
我只能就你上面的提供的資訊來猜

Newman 寫到:
今將xubuntu16.04更新後,adsl怎麼連都連不上線,
用pppoeconf試,終端機說找不到pppoeconf這東西!
只好將備份的檔回復,但
是不是就此不更新?!或
如何解?


你會這麼問,我能推測的,
一種是有可能你對套件管理,沒有基礎的認識,
一種是有可能你對套件管理,有基礎的認識,但遇到一些特殊的狀況,是你沒有提及的,所以才這麼問。


不管哪一種,我上面的回覆,先就你提供出來的訊息,提供我所知道行得通的作法。

這需要你自己實際去操作過後,確認過後,
有可能不符合你遇到的狀況,行不通,你就可以再次回覆討論。

我回你的指令,都是有在我的環境測過,確實行的通的。

當然我也不見得完全都不會出錯
有時候可能打錯字,
有時候可能我測的時候不夠謹慎,所以不是我說的那樣的結果
有時候有可能我對某方面認識不夠深,所以可能有些地方是講錯的。
....未知的例外....


但我會回覆的,我應該都有把握才會回覆,並且都會事先測試過,
沒有把握的,我則會去提出疑問,確認更多的資訊。

因為這個地方就是討論區,
就是用來討論的,一來一往的討論
然後找出解決的方案不是嗎?



=================================================

另外,有時候我看到一些提問,我也愛莫能助,只能期待有其他能人可以回覆,

有時候無法回覆,有很多的狀況

## 資訊的提供是否充足
我的意思不是說一定一開始就要提供的很充足,
有時候發問者一開始也不知道該怎麼提供相關的資訊,我能理解。
所以通常都是有人繼續回覆,需要什麼樣的資訊,
透過一來一往的確認,才能比較掌握充足的資訊,
不過我看大部分的提問,都是問了,就沒下文了,
我也不曉得到底解決了沒,我都視為已經解決了。
直到有一天,有人又重新提起...

## 不見得能重現提問者遇到的狀況,
也許有時候有人跟你遇到一模一樣的狀況,也解決了,
剛好也看到了你的提問,所以可以很直覺得就回答你,不用有太多的資訊,
不過通常,這需要機緣,Orz...

## 有些狀況,我也不會
基本上我不會,我也無從回覆起,
有時候,可能我不會,我有興趣,
而且提問者,有提供充足的資訊,可以讓我找到線索探索起,
而我又有時間的話,我就會去研究,
也許研究過後,讓我找到答案,我就會回覆,
也許研究過後,我也找不到解決方案,那我也只能擱著了



## ...

歹勢,講了一堆莫名其妙的話

突然對這些發問,無法協助,有點無奈...

抱歉,我失焦了

Orz...

=================================================

2016/4/17 8:06
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 147
MP : 21 / 1959
EXP: 89
離線
感謝samwhelp兄的回覆

我們都知文字的描述不易完整表達原意,有時用字、語意又會造成誤解。
所以,在這請教,就定義為為解遇到的問題,其他的就別過度解讀了。

會在這樓提問,是想找是否有人先前有過相同問題,就找到了pppoeconf這相關的樓...

記得我最早使用ubuntu時(9.04),就是用sudo pppoeconf連線的...
這次我依此樓的解法,先是說找不到pppoeconf,然後我把network-manager remove, 再裝pppoeconf(software center有這),然後輸入adsl帳號密碼,然後yes. yes.yes....
然後以為都ok了,但
無效!(連不上網),
因不知解法,所以丟這問題上來,是想請有能力有時間的高手幫忙,看是不是更改些什麼,就能順暢上網的....謝謝

2016/4/17 10:25
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 27255
EXP: 38
離線
Newman 寫到:
16.04的版本改變也包括goole chrome 的字體,變得較淡(英文字沒差,是中文字),我得入chrome更改字體設定。
而在firefox的字體就仍是很好看。

Ubuntu 16.04 預設改用 Google Noto Sans CJK 字型
至於 Chrome 的問題應該是用這個字型的已知 bug

2016/4/17 14:14
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱
回覆: 升級15.10後無法連線(已解決)
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 27255
EXP: 38
離線
Newman 寫到:
記得我最早使用ubuntu時(9.04),就是用sudo pppoeconf連線的...
這次我依此樓的解法,先是說找不到pppoeconf,然後我把network-manager remove, 再裝pppoeconf(software center有這),然後輸入adsl帳號密碼,然後yes. yes.yes....
然後以為都ok了,但
無效!(連不上網),
因不知解法,所以丟這問題上來,是想請有能力有時間的高手幫忙,看是不是更改些什麼,就能順暢上網的....謝謝

總之先把程式運行紀錄挖出來再說吧
用 NetworkManager 的話就在 /var/log/syslog 找
用 pppoeconf 的話 pppd 應該也有 log

2016/4/17 14:16
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱
回覆: 升級15.10後無法連線
會員二級
註冊日期:
2015/3/28 21:29
所屬群組:
已註冊使用者
等級: 6
HP : 0 / 147
MP : 21 / 1959
EXP: 89
離線
V字龍 寫到:
老芋薯 寫到:
今日週末,沒什事,就按下升級,約40分鐘後--完成--重新開機
開機後發現無法連線
再度重開機一樣無法連線

作業系統釋出版本升級會升級 Linux 作業系統核心(以及它提供的硬體驅動程式),有可能是新版本驅動程式有問題
* 藉由排除法,請試試看用 Ubuntu 15.10 安裝媒體 Live 系統開機看看能不能重現問題。
* 另外請提供您的系統紀錄檔(/var/log/syslog)看看 NetworkManager 有沒有什麼可以參考的紀錄(請上傳到 http://pastebin.ubuntu.com 或其他純文字資料托管網站再把連結貼過來)



試著上傳 n times
結果是:
Bad Gateway

The proxy server received an invalid response from an upstream server.

(我可能沒有上傳資料的天份吧?^^)

2016/4/17 17:40
應用擴展 工具箱
回覆: 升級15.10後無法連線
管理員
註冊日期:
2011/3/11 6:32
所屬群組:
討論區管理群
等級: 44
HP : 216 / 1084
MP : 1088 / 27255
EXP: 38
離線
Newman 寫到:
試著上傳 n times
結果是:
Bad Gateway

The proxy server received an invalid response from an upstream server.


還有很多其他服務可以代替,比方說 http://pastebin.com/、https://gist.github.com/ 或是 https://paste2.org/

2016/4/17 18:29
本篇發表文章以「創用CC BY 3.0 或更新之台灣地區版本」授權條款釋出,如何使用敬請參考
 Creative Commons — 姓名標示 3.0 台灣 — CC BY 3.0 TW
 http://creativecommons.org/licenses/by/3.0/tw/

「你不懂的東西就不要亂講,被懂得人看破手腳就算了,騙不懂的人誤導別人,還要別人把你當成大師,這就真的是說不過去了。」
 by Allen Own
 出處 http://www.plurk.com/p/i4uogm

自由知識創作平台介紹
 https://docs.google.com/document/d/1MGG6lW_0qCgH4U785R-IwSc_INdoBGej1l-JxiA4gPE
如何建立新的自由知識創作平台文件
 https://docs.google.com/document/d/11NdzOW2lGYksfyQIcPMPye5tlmj1J0QTkgPTmQvIvKA
應用擴展 工具箱

« 1 (2) 3 4 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.